For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collection

This endpoint is used to manage collections inside an organization.

Entity fields:

Path
Type
Description

data.type

string

Should be "collection"

data.attributes.name

string

Collection name

data.attributes.description

string

Collection description

data.attributes.priority

integer

Collection priority

Example:

POST /api/v1/organization/${ORGANIZATION_ID}/collection/

{
    "data": {
        "type": "collection",
        "attributes": {
            "name": "Collection1",
            "description": "Sample Description",
            "priority": 10
        }
    }
}

Supported Operation

get

Returns the collection of collection

Path parameters
organizationIdstringRequired

organization Identifier

Query parameters
page[number]integerOptional
page[size]integerOptional
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/collection
GET /api/v1/organization/{organizationId}/collection HTTP/1.1
Accept: */*
200

Successful response

{
  "data": []
}
post

Creates an item of type collection

Path parameters
organizationIdstringRequired

organization Identifier

Body
Responses
201

Successful response

application/vnd.api+json
post/organization/{organizationId}/collection
POST /api/v1/organization/{organizationId}/collection HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 203

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "name": "text",
      "description": "text",
      "priority": 1
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "item": {
        "id": "text",
        "type": "item"
      }
    }
  }
}
201

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "name": "text",
      "description": "text",
      "priority": 1
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "item": {
        "id": "text",
        "type": "item"
      }
    }
  }
}
get

Returns an instance of type collection

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/collection/{collectionId}
GET /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Accept: */*
200

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "name": "text",
      "description": "text",
      "priority": 1
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "item": {
        "id": "text",
        "type": "item"
      }
    }
  }
}
delete

Deletes an instance of type collection

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

Responses
204

Successful response

No content

delete/organization/{organizationId}/collection/{collectionId}
DELETE /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Accept: */*
204

Successful response

No content

patch

Modifies an instance of type collection

Path parameters
organizationIdstringRequired

organization Identifier

collectionIdstringRequired

collection Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/collection/{collectionId}
PATCH /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 203

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "name": "text",
      "description": "text",
      "priority": 1
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "item": {
        "id": "text",
        "type": "item"
      }
    }
  }
}
204

Successful response

No content

Last updated

Was this helpful?